Open CASCADE Technology: HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter Class Reference

`#include <HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter.hxx>`

Inheritance diagram for HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter:
[legend]

## Public Member Functions
| HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter (const Standard_Address &curve1, const Standard_Address &curve2)
Standard_Integer | NbVariables () const
| Returns the number of variables of the function. More...
Standard_Integer | NbEquations () const
| Returns the number of equations of the function. More...
Standard_Boolean | Value (const math_Vector &X, math_Vector &F)
| Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Derivatives (const math_Vector &X, math_Matrix &D)
| Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Values (const math_Vector &X, math_Vector &F, math_Matrix &D)
| returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Public Member Functions inherited from math_FunctionSet
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...
virtual | ~math_FunctionSet ()

## Constructor & Destructor Documentation

HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter | ( | const Standard_Address & | curve1,
|  | const Standard_Address & | curve2
| ) |  |

## Member Function Documentation

Standard_Boolean HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::Derivatives | ( | const math_Vector & | X,
|  | math_Matrix & | D
| ) |  |
| virtual

Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

Standard_Integer HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::NbEquations | ( |  | ) | const
| virtual

Returns the number of equations of the function.

Implements math_FunctionSetWithDerivatives.

Standard_Integer HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::NbVariables | ( |  | ) | const
| virtual

Returns the number of variables of the function.

Implements math_FunctionSetWithDerivatives.

Standard_Boolean HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| virtual

Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

Standard_Boolean HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter::Values | ( | const math_Vector & | X,
|  | math_Vector & | F,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

The documentation for this class was generated from the following file:

- HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter.hxx